Subject: Re: bug#16470: 24.3.50; term mode and newlines with some window configurations

From: Constantine Vetoshev <[email-masked]>
Date: Wed, 22 Jan 2014 08:00:10 -0800

On Jan 22, 2014, at 02:35, martin rudalics <[email-masked]> wrote:

> I now restored the old truncation behavior of `window-body-width' and
> also that of `term-window-width'.  Please tell me if there are any
> problems.

I made a build with your latest changes, and it seems to work. window-width and window-text-width now return the same values in all window configurations I tried, and term.el works as expected.

That said, I now don't see any difference between window-body-width, window-text-width, and window-width when the PIXELWISE argument is omitted or nil.